iBCS2 & NetBSD

I know that there is some people out there that seem to be all into Xenix, and old binaries… So I thought I’d share this little gem I found before I head out for the day… I came across this post, talking about how ibcs2 has fallen apart in the latest version of NetBSD. But the gem in there is that version 4.0.1 works perfectly fine!

So I copied in the old gcc, filled in some bits and….

It works!

Robots is so perfect you’d never know!

And it runs Xenix Dungeon/Zork without missing a beat!

So this may be yet another avenue for some people… I’d suspect that you could even build the 32v userland under the Xenix tools…? Since all the default stuff is keyed to licensing, but you could roll your own Unix v7 32bit userland which basically is Xenix and go from there…. Maybe even some of the OpenSolaris SYSVR4 stuff as well but that sounds too ambitious!

This entry was posted in ibcs2, netbsd, xenix, Zork by neozeed. Bookmark the permalink.
avatar

About neozeed

What is there to tell? I've loved UNIX like things since I was first exposed to QNX in highschool (we had the Unisys ICONS!), and spent the better time of my teenage years trying to get my own UNIX... I should have bought Coherent in retrospect.. Anyways latched onto Linux in 1992, and then got some old BSD admin books and have been hooked on the VAX BSD & other big/ancient things since...!

2 thoughts on “iBCS2 & NetBSD

  1. hello!

    sorry no speak english

    Lo siento no hablo ingles, te saludo desde Xalapa Veracruz Mexico
    solo quiero preguntarte como copio el gcc del netbsd 4.0.1 y se lo pongo al netbsd 5.1
    o cuales son los pasos a seguir para que jalen los binarios de xenix
    gracias por tu atencion

  2. Hola desde Las Vegas!

    Creo que algo se pierde en la traducción … El CCG que usé en el blog era para Xenix …

    Debido a que estoy corriendo NetBSD para el sistema operativo, sólo los archivos wget Xenix, se descomprimen y se corrió ‘untar’.

    Sería algo parecido a esto:

    wget http://vpsland.superglobalmegacorp.com/install/xenix/robots-xenix.vfd.gz
    tar -zxvf robots-xenix.vfd.gz

    Entonces usted debería ser capaz de ejecutar directamente los robots .. No he probado la versiones posteriores de NetBSD para su compatibilidad, pero iBCS2 5.0 se rompió …

Leave a Reply

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Notify me of followup comments via e-mail. You can also subscribe without commenting.